"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _View = _interopRequireDefault(require("react-native-web/dist/exports/View"));

var _StyleSheet = _interopRequireDefault(require("react-native-web/dist/exports/StyleSheet"));

var _ViewPropTypes = _interopRequireDefault(require("react-native-web/dist/exports/ViewPropTypes"));

var _quarkCore = require("quark-core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

// a context provider for the error state of the label
// export const LabelErrorContext = React.createContext(false)
var Label = function Label(_ref) {
  var children = _ref.children,
      value = _ref.value,
      textStyle = _ref.textStyle,
      description = _ref.description,
      _ref$error = _ref.error,
      error = _ref$error === void 0 ? false : _ref$error,
      unused = _objectWithoutProperties(_ref, ["children", "value", "textStyle", "description", "error"]);

  return React.createElement(_View.default, unused, React.createElement(_View.default, {
    style: styles.labelContainer
  }, React.createElement(_quarkCore.Text, {
    style: _extends({}, styles.labelText, textStyle)
  }, value)), children, React.createElement(_View.default, null, React.createElement(_quarkCore.Text, {
    style: styles.descriptionText
  }, description)));
};

var styles = _StyleSheet.default.create({
  container: {},
  labelContainer: {
    marginBottom: 8
  },
  labelText: {
    fontWeight: '600',
    fontSize: 14
  }
});

var _default = Label;
exports.default = _default;